# $Revision: 1.63 $, $Date: 2008/12/08 12:37:14 $
Summary:	Simple DirectMedia Layer - Sample Image Loading Library
Summary(pl.UTF-8):	Przykładowa biblioteka do ładowania obrazków
Summary(pt_BR.UTF-8):	Simple DirectMedia Layer - Biblioteca exemplo para carga de Imagens
Name:		SDL_image
Version:	1.2.7
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.libsdl.org/projects/SDL_image/release/%{name}-%{version}.tar.gz
# Source0-md5:	a729ff61f74f0a45ec7fe36354cf938e
URL:		http://www.libsdl.org/projects/SDL_image/
BuildRequires:	SDL-devel >= 1.2.10
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel >= 2:1.2.0
BuildRequires:	libtiff-devel >= 3
BuildRequires:	libtool
Requires:	SDL >= 1.2.10
Obsoletes:	libSDL_image1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a simple library to load images of various formats as SDL
surfaces. This library currently supports BMP, PPM, PCX, GIF, JPEG,
and PNG formats.

%description -l pl.UTF-8
jest to prosta biblioteka służąca do ładowania różnego formatu obrazków
jako powierzchni SDL. W chwili obecnej biblioteka obsługuje
następujące formaty: BMP, PPM, PCX, GIF, JPEG oraz PNG.

%description -l pt_BR.UTF-8
Simple DirectMedia Layer - Biblioteca exemplo para carga de Imagens.

%package devel
Summary:	Header files and more to develop SDL_image applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania aplikacji używających SDL_image
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para desenvolvimento de aplicações SDL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.10
Obsoletes:	libSDL_image1.2-devel

%description devel
Header files and more to develop SDL_image applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania aplikacji używających SDL_image.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para desenvolvimento de aplicações
SDL.

%package static
Summary:	Static SDL_image libraries
Summary(pl.UTF-8):	Statyczne biblioteki SDL_image
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento de aplicações SDL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Statis SDL_image libraries.

%description static -l pl.UTF-8
Statyczne biblioteki SDL_image.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento de aplicações SDL.

%prep
%setup -q

rm -f acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	jpg_lib=libjpeg.so.62 \
	png_lib=libpng12.so.0 \
	tif_lib=libtiff.so.3 \
	--enable-bmp \
	--enable-gif \
	--enable-jpg \
	--enable-pcx \
	--enable-png \
	--enable-ppm \
	--enable-tif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install .libs/showimage $RPM_BUILD_ROOT%{_bindir}/sdlshow

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_bindir}/sdlshow
%attr(755,root,root) %{_libdir}/libSDL_image-*.so.*.*.*
%attr(755,root,root) %ghost  %{_libdir}/libSDL_image-1.2.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSDL_image.so
%{_libdir}/libSDL_image.la
%{_includedir}/SDL/SDL_image.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL_image.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SDL_image.spec,v $
Revision 1.63  2008/12/08 12:37:14  lisu
- up to 1.2.7
- ghost soname symlink
- rm buffer-overflow.patch and IMG_lbm.patch
  (CVE-2007-6697, CVE-2008-0544 already fixed in sources)

Revision 1.62  2008/03/28 02:02:52  sls
- added buffer-overflow.patch and IMG_lbm.patch
  (CVE-2007-6697, CVE-2008-0544)

Revision 1.61  2007/08/13 16:19:05  qboosh
- updated to 1.2.6

Revision 1.60  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.59  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.58  2006/05/20 00:07:44  qboosh
- rm moved to prep

Revision 1.57  2006/05/19 23:36:47  qboosh
- needs SDL >= 1.2.10

Revision 1.56  2006/05/19 23:03:11  qboosh
- updated to 1.2.5, removed obsolete ac_fixes patch
- libjpeg,libpng,libtiff are dlopened now; pass sonames for lib64 support
- moved base docs to base

Revision 1.55  2005/01/15 23:24:30  qboosh
- updated to 1.2.4

Revision 1.54  2004/10/31 17:07:43  paladine
- spaces->tabs
- formatting

Revision 1.53  2004/10/16 15:03:08  paladine
- spelling fix

Revision 1.52  2004/08/05 14:11:50  pluto
- strict deps.

Revision 1.51  2003/11/19 23:55:57  undefine
- fix sdlshow (previously it was only sh script)
- release 2

Revision 1.50  2003/10/07 11:47:50  qboosh
- -devel deps

Revision 1.49  2003/07/01 07:51:12  trojan
- removed empty log message which cause error:
  bad date in %changelog: ** empty log message ***

Revision 1.48  2003/06/27 20:02:58  blues
- cosmetics

Revision 1.47  2003/06/27 14:42:35  qboosh
- dropped libpng 1.2.2 compat

Revision 1.46  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.45  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.44  2003/03/11 08:32:31  trojan
- updated to 1.2.3
- new %%doc

Revision 1.43  2003/01/16 00:19:37  aflinta
- moved to /usr

Revision 1.42  2002/12/07 15:11:40  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.41  2002/11/25 14:12:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.40  2002/10/09 13:14:15  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.39  2002/09/29 10:48:16  kloczek
- release 4.

Revision 1.38  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.37  2002/06/12 18:48:49  kloczek
- release 3.

Revision 1.36  2002/06/12 18:10:35  filon
- added missing *.la files

Revision 1.35  2002/05/21 23:12:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.34  2002/05/18 16:56:47  qboosh
- removed PBProjects.tar.gz from doc (it's big and has no use on Linux)
- release 2

Revision 1.33  2002/05/11 20:21:35  kloczek
- merge translations from Conectiva.

Revision 1.32  2002/05/11 19:37:26  marcus
- updated to 1.2.2

Revision 1.31  2002/04/28 09:42:33  qboosh
- libpng 1.2.2 support

Revision 1.30  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.29  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2002/01/11 13:51:18  kloczek
- updated to 1.2.1 (bugfix release).

Revision 1.26  2002/01/11 13:47:12  kloczek
- libSDL_image1.2{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.25  2001/12/02 08:13:30  kloczek
- added ac_fixes patch - now ac/am/lt files can be fully regenerated.

Revision 1.24  2001/09/30 00:48:33  blues
- release 5
- configure2_13 used

Revision 1.23  2001/08/10 14:49:14  kloczek
- bump release to 4.

Revision 1.22  2001/05/12 00:29:18  kloczek
- updated to 1.2.0.

Revision 1.21  2001/04/02 13:28:19  misiek
new urls; release 3; recompile with SDL 1.2.0; stb

Revision 1.20  2001/01/30 05:15:42  kloczek
- updated to 1.1.0.

Revision 1.19  2000/10/06 10:06:00  kloczek
- update to 1.0.10,
- use new rpm automation suit.

Revision 1.18  2000/08/21 14:03:30  kloczek
- fixed %files after rename showimage.

Revision 1.17  2000/08/21 13:54:35  kloczek
- release 3,
- rename showimage to sdlshow to avoid conflict between SDL_image and mh.

Revision 1.16  2000/07/28 13:56:30  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.15  2000/07/02 19:48:16  kloczek
- updated to 1.0.9.

Revision 1.14  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.13  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/05/17 00:36:13  kloczek
- spec adapterized.

Revision 1.11  2000/04/11 21:35:22  kloczek
- release 3,
- added --enable-bmp --enable-gif --enable-jpg --enable-pcx --enable-png
  --enable-ppm --enable-tif for ./configure.

Revision 1.10  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.8  2000/03/28 10:58:00  arturs
typo

Revision 1.7  2000/03/25 02:49:24  arturs
- added %description -l pl

Revision 1.6  2000/03/12 17:29:55  kloczek
- release 2,
- build agaist SDL >= 1.1.1.

Revision 1.5  2000/02/11 09:38:14  kloczek
- typo: fixed group on binaries.

Revision 1.4  2000/02/11 09:33:02  kloczek
- added run /sbin/ldconfig in %post and %postun.

Revision 1.3  2000/02/11 09:31:15  kloczek
- fix permission on executables.

Revision 1.2  2000/02/11 09:21:09  kloczek
- completly rewrited in PLD style.

* Wed Jan 19 2000 Sam Lantinga
- converted to get package information from configure

* Tue Jan 18 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file
